With extension editors, show rendering errors inside the inspector, not the ce node
Closed, ResolvedPublic8 Story Points

Description

If you type invalid syntax into a <math|score|hiero...> editor the error is rendered in the view node, destroying your last good rendering, and potentially drastically changing the size of the node, and therefore the position of your inspector. It would probably be nicer to detect when the response is an error, not a rendering, and dispay it in the inspector instead.

Esanders updated the task description. (Show Details)
Esanders raised the priority of this task from to Needs Triage.
Esanders added subscribers: Esanders, Tchanders.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 20 2015, 11:30 AM
Jdforrester-WMF triaged this task as High priority.Sep 24 2015, 5:38 PM
Jdforrester-WMF assigned this task to Tchanders.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR5: Rich media tools on the VisualEditor board.

Change 243599 had a related patch set uploaded (by Tchanders):
Pass generated content error to inspector

https://gerrit.wikimedia.org/r/243599

Change 243600 had a related patch set uploaded (by Tchanders):
Add error element to MWLiveExtensionInspector

https://gerrit.wikimedia.org/r/243600

Change 243601 had a related patch set uploaded (by Tchanders):
Append error container to inspector

https://gerrit.wikimedia.org/r/243601

Change 243684 had a related patch set uploaded (by Tchanders):
Append error container to inspector

https://gerrit.wikimedia.org/r/243684

Change 243599 merged by jenkins-bot:
Pass generated content error to inspector

https://gerrit.wikimedia.org/r/243599

Change 243600 merged by jenkins-bot:
Add error element to MWLiveExtensionInspector

https://gerrit.wikimedia.org/r/243600

Change 243601 merged by jenkins-bot:
Append error container to inspector

https://gerrit.wikimedia.org/r/243601

Change 243684 merged by jenkins-bot:
Append error container to inspector

https://gerrit.wikimedia.org/r/243684

Jdforrester-WMF closed this task as Resolved.Oct 5 2015, 11:06 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Nice.